**`Pavan Reddy`[NAME]** -NL- DevOps/AWS Engineer -NL- **`+91 (829)-643-2150`[PHONES_PHONE]** -NL- Email: **`rypavan@gmail.com`[EMAILS_EMAIL]** -NL- **`PROFESSIONAL SYNOPSIS`[SUMMARY_HEADING]** -NL-  IT experience in all phases of Software Development Life Cycle such as Requirement Analysis, Planning -NL- Design, Development, Testing, and Release of various Enterprise-Wide Software Applications. -NL-  Amazon Web Services AWS Solutions Architect Certified with Around 4 years of IT experience in all -NL- phases of Software Development Life Cycle (SDLC) such as Planning, Analysis, Design, Implementation, -NL- Testing and Maintenance of Web Based, Client-Server in all domains. -NL-  Experience in setting up the enterprise infrastructure on Amazon Web Services (AWS) like EC2 instance, -NL- ELB, EBS, S3 Bucket, Security Groups, Auto Scaling, AMI, RDS, IAM Cloud formation, Cloud Front & -NL- VPC services. -NL-  Experience in developing applications using Core Java, J2EE, JSP, XML, HTML, JavaScript and Web -NL- Services. -NL-  Analyze and resolve conflicts related to merging of source code for GIT. -NL-  Extensively worked on Hudson, Jenkins for continuous integration and for End to End automation for all -NL- build and deployments. -NL-  Developed build and deployment scripts using ANT and MAVEN as build tools in Jenkins to move from -NL- one environment to other environments. -NL-  Worked on Chef Server management console and understanding and working knowledge on all different -NL- components of Chef Server, nodes and Workstations. -NL-  Experience in working with configuration management tools like Puppet, Chef and Ansible. Experience -NL- in setting up Puppet Master, Puppet Agents for managing enterprise policies and configurations. -NL-  Experience in administrating, deploying and managing RedHat, Ubuntu and CentOS servers. -NL-  Proficient in Python, Bash, Shell Scripting, SQL, build utilities like open make, ANT and Maven. -NL-  Created automation and deployment templates for Relational and NOSQL databases (standalone and RDS), -NL- including Oracle, SQL Server, MongoDB and MariaDB in AWS. -NL-  Experience in Tomcat, JBOSS, Web logic and WebSphere Application servers for deployment. -NL-  Define build workflow to include Junit, SonarQube,Selenium testing. -NL-  Good knowledge and hands on Experience in some monitoring tools like Splunk, Nagios -NL-  Created local repositories on Linuxservers Performed server updates, patching, upgrade and package -NL- installations using RPM and YUM. -NL-  Good understanding of OSI Model, TCP/IP protocol suite DNS, IP, TCP, UDP, SMTP, FTP. -NL-  Installed, tested and deployed monitoring solutions with Splunk services and deployment Server -NL- Topologies in Splunk. -NL-  Integrating the AppDynamics with Splunk to analyze the logs in Splunk. -NL-  Bash scripting experience on creating automation process for Branching, build creation and deployments. -NL- CERTIFICATION -NL- AWS Certified Solution Architect - Associate Level - AWS-ASA-4027587 -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- Bachelor of Engineering in **`ECE`[EDUCATION_COURSE]** at **`JNTU-K`[EDUCATION_INSTITUTE]**, 2011-2015 -NL- **`PROFESSIONAL EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL-  Currently working as **`Development Operations Engineer`[EMPLOYER_ROLE]** in **`Tata Consultancy Services`[EMPLOYER_COMPANY_NAME]** June 2015. -NL- Project 3: -NL- Name: **`Personal corporation bank and Wealth`[PROJECT_TITLE]** -NL- Client: **`Sigma`[PROJECT_COMPANY_NAME]** -NL- Duration: Nov 2016 – Dec 2017 -NL- Role: DevOps/AWS Engineer -NL- Responsibilities -NL-  Experience with an in-depth level of understanding in the strategy and practical implementation of AWS -NL- Cloud-Specific technologies including EC2, EBS, S3, VPC, RDS, SES, ELB, EMR, ECS, Cloud Front, -NL- Cloud Formation, Elastic Cache, Cloud Watch, Red Shift, Lambda, SNS, Dynamo DB, Kinesis. -NL-  Created AWS Launch configurations based on customized AMI and use this launch configuration to -NL- configure auto scaling groups and Implemented AWS solutions using EC2, S3, RDS, VPC, DynamoDB, -NL- Route53, EBS, Elastic Load Balancer, Auto Scaling groups. -NL-  Worked with Terraform for automating VPCs, ELBs, security groups, SQS queues, S3 buckets, and -NL- continuing to replace the rest of our infrastructure. -NL-  Build Cloud Formation templates to use automation function on EC2 instances in Amazon cloud service -NL- which can also reuse for different environments, applications, AMI's or etc. and to simplify provisioning -NL- and management of EC2 instances, RDS and VPC on AWS. -NL-  Writing JSON and YAML templates for cloud formation contributing to our repository on GitHub. -NL-  Responsible for proper functioning DEV/TEST/STG/PROD environments for these applications. -NL-  Integrated GIT into Jenkins to automate the code check-out process. -NL-  Managed GitHub repositories for branching, merging and tagging. -NL-  Installed, configured and administered CI tool Jenkins for automated builds. -NL-  Developed build and deployment scripts using ANT and MAVEN as build tools in Jenkins to move from -NL- one environment to other environments. -NL-  Worked in an Agile development team to deliver an end to end continuous integration, continuous delivery -NL- product in an open source environment using tools like Jenkins. -NL-  Using Jenkins as continuous integration tool creating new jobs, managing required plug-ins, configuring -NL- the jobs selecting required source code management tool, build trigger, build system and post build actions, -NL- scheduled automatic builds, notifying the build reports etc. -NL-  Experience in managing Ansible Playbooks with Ansible roles. Used file module in Ansible playbook to -NL- copy and remove files on remote systems. Created inventory in Ansible for automating the continuous -NL- deployment. -NL-  Communication with team members for both Ansible Core and Ansible Tower teams to clarify -NL- requirements and overcome obstacles. -NL-  Maintained and managed AnsiblePlaybooks responsible for deploying Framework and other cloud tools. -NL- Worked on Git Flow for production Release. -NL-  Performed automation tasks on various Docker components like Docker Hub, Docker Engine, Docker -NL- Machine, Compose and Docker Registry. -NL-  Created Docker images using a Docker file, worked on Docker container snapshots, removing images -NL- and managing Docker volumes. -NL-  Virtualized the servers using the Docker for the test environments and dev-environments needs. and -NL- configuration automation using Docker containers. -NL-  Managed Docker orchestration and Docker containerization using Kubernetes. -NL-  Experience in developing scalable solutions using NoSQL databases Cassandra, MongoDB. -NL-  Monitoring apps servers using ELK - Elasticsearch, Logstash and Kibana for debug and logging. -NL-  Created multiple Python, Bash,Shell and Ruby Shell Scripts for various application level tasks. -NL-  Experienced in troubleshooting and automated deployment to web and application servers like WebSphere, -NL- WebLogic, JBOSS and Tomcat. -NL- Project 2: -NL- Name: **`OrderManager`[PROJECT_TITLE]** -NL- Client: Barclays , UK -NL- Duration: Nov 2016 – Dec 2017 -NL- Role: DevOps/AWS Engineer -NL- Responsibilities -NL-  Assess the infrastructure needs for each application and deploy it on AWS platform. -NL-  Design, deploy and manage a Continuous Integration System which includes automated testing and -NL- automated notification of results using technologies like Ansible, Terraform, Packer, Cloud -NL- formation,Docker and Server spec. -NL-  Implementing AWS services like EC2, Elastic Load balancing (ELB), Route53, S3, Cloud Front, SNS, -NL- RDS, IAM with existing projects. -NL-  Setup and build AWS infrastructure various resources, VPC EC2, S3, IAM, EBS, ELB Security Group, -NL- Auto Scaling, and RDS in Cloud Formation templates. -NL-  Worked on AWS EC2/VPC/S3/SQS/SNS based on automation Terraform, Ansible, Python, Bash Scripts. -NL-  Written Terraform templates, Chef Cookbooks, recipes and pushed them onto Chef Server for -NL- configuring EC2 Instances. -NL-  In-depth knowledge of AWS automation services - Cloud Formation templates, Terraform. -NL-  Designed AWS Cloud Formation templates to create custom sized VPC, subnets, NAT to ensure -NL- successful deployment of Web applications and database templates. -NL-  Implemented a GIT mirror for SVN repository, which enables users to use both GIT and SVN. -NL-  Working with Continuous Integration (CI) and Continuous Delivery/Deployment (CD) Environment. -NL-  Implemented Continuous Integration using Jenkins and GIT. -NL-  Involved in Architect, build and maintain Highly Available secure multi-zone AWS cloud infrastructure -NL- utilizing Chef with AWS CloudFormation and Jenkins for continuous integration. -NL-  Integrated customized automated deployment manager tool with the GitHub by changing and improvising -NL- the shell scripts previously used for SVN. -NL-  Created the ANT scripts and extension of existing ANT scripts for deployment of applications to -NL- HUDSON. -NL-  Used ANT and MAVEN as a build tools on java projects for the development of build artifacts on the -NL- source code. -NL-  Integrated Jenkins with various DevOps tools such as Nexus, SonarQube. -NL-  Written/Developed Chef Cookbooks to automate the entire deployment process as well as infrastructure -NL- admin tasks. -NL-  Used, Vim and Sublime editors for developing Chef Recipes. -NL-  Worked on Chef Server management console and understanding and working knowledge on all different -NL- components of Chef Server, nodes and Workstations. -NL-  Written /Developed Chef Cookbooks from scratch for custom installation of application. -NL-  Designed and implemented Nexus binary repository and process. Configured pom.xml files to publish the -NL- artifacts into Nexus repository as part of the continuous integration (CI) process. -NL-  Develop CI/CD system with Jenkins on Kubernetescontainer environment, utilizing Kubernetesand -NL- Docker for the runtime environment for the CI/CD system to build and test and deploy. -NL-  Worked with Kubernetes to automate deployment, scaling and management of web Containerized -NL- applications. -NL-  Integrated Kubernetes with registry, networking, storage, security and telemetry to provide comprehensive -NL- infrastructure and orchestrate containers -NL-  Worked on creating and documenting POC for helping migrate the current application to micro service -NL- architecture. The architecture included Docker as the container technology withKubernetes and worked on -NL- with REST API. -NL-  Responsible for all backup, recovery, and upgrading of all the PostgreSQL databases. -NL-  Experience in using Microsoft IIS Web Server, Tomcat, JBOSS, Web logic and WebSphere Application -NL- servers for deployment. -NL- Project 1: -NL- Name: **`Netfirm`[PROJECT_TITLE]** -NL- Client: **`Sigma`[PROJECT_COMPANY_NAME]** -NL- Duration: Aug 2015– Sep 2016 -NL- Role: Linux Administrator -NL- Responsibilities: -NL-  Installation, configuration and administration of Red Hat Linux servers and support for servers. -NL-  Planned and performed the upgrades to linux (RHEL 4x, 5x, Suse 10, 11, CentOS) operating systems and -NL- hardware maintenance like changing memory modules, replacing disk drives. -NL-  Provided the support of building the server, patching, user administration tasks, deployment, software -NL- installation, performance tuning and troubleshooting and KVM. -NL-  Installation and configuration of Oracle 7. X/8. X. -NL-  Handling NFS, Auto Mount, DNS, LDAP related issues. -NL-  Monitoring CPU, memory, physical disk, hardware and software raid, multipath, file systems, networks. -NL-  Performing failover and integrity test on new servers before rolling out to production. -NL-  Deployment and configuration of application server Tomcat deploying java and web application. -NL-  Writing Shell Scripts for automation of daily tasks, documenting the changes that happen in the -NL- environment and in each server, analyzing the error logs, analyzing the user logs, analyzing the -NL- /var/log/Messages. -NL-  Good understanding of OSI Model, TCP/IP protocol suite DNS, IP, ARP, TCP, UDP, SMTP, FTP, and -NL- TFTP. -NL-  Knowledge of Routers and Switches, Subnet, VLAN, TCP/IP, Ethernet, VPN, OSI model, Firewall. -NL-  Worked on Network security skills include NAT/PAT, ACLs, AAA and ASA firewall. -NL-  Created local repositories on Linuxservers Performed server updates, patching, upgrade and package -NL- installations using RPM and YUM. -NL-  Performed server updates, patches and upgrades using YUM and RPM. -NL-  Installs Firmware Upgrades, Kernel patches, systems configuration, performance tuning on Linux -NL- systems. -NL-  Extensive knowledge on Server administration, Kernel upgrade and deployment of patches and applying -NL- all firewall and security policies with emphasis on maintaining best practices. -NL-  Identify, troubleshoot, and resolve problems with the OS build failures. -NL-  Installation, configuration, and customization of services send mail, Apache, FTP servers to meet the user -NL- needs and requirements. -NL- **`TECHNICAL SKILLS`[SKILLS_HEADING]** -NL- Programming Languages -NL- C, C++, NET, Java, SQL -NL- Scripting -NL- Shell,Bash, Python, Ruby -NL- Web Technologies -NL- HTML, JavaScript, AngularJS, Node JS -NL- Versioning Tools -NL- SVN, GIT -NL- Automation Tools -NL- Jenkins, Hudson -NL- Build Tools -NL- Ant, Maven -NL- Configuration Management Tools -NL- Chef, Puppet, Ansible -NL- Databases -NL- MYSQL, Oracle, PostgreSQL,MongoDB, Cassandra -NL- Virtualization -NL- Docker, Kubernetes -NL- Monitoring Tools -NL- Splunk, ELK -NL- Cloud Technologies -NL- AWS -NL- Infrastructure as a Code -NL- Cloud Formation, Terraform, Python Boto3 -NL- Web servers -NL- Web logic, Web Sphere, Apache Tomcat -NL- Operating Systems -NL- LINUX, Windows -NL- 